<?  
session_start(); 
require('../valtiempoinact.php');
require('../conectar.php');
//1
$idempleado=$_POST['idem'];
$id=$_POST['ida'];
$fecha=$_POST['fecha'];
$hora=$_POST['hora']; 
$sel=$_POST['sel'];
//2
$idasis=$_POST['id'];
$fechaform=$_POST['fechaa'];
$horaform=$_POST['horaa'];
$obs=$_POST['obsa'];
$idemp=$_POST['idem'];

$sqle="select id_empleado,nombre,a_pat,a_mat,usuario,turno from empleados where id_empleado='$idemp'";
$consulta=mysql_query($sqle);
$reg=mysql_fetch_object($consulta); 
$turnoemp=$reg->turno;
if($turnoemp=="MATUTINO"){
	   $hentrada="07:00:00";
	   $tolerancia1="07:15:59";
	   $tolerancia2="07:20:59";
	   $tolerancia3="07:30:59";
	 } 
	 if($turnoemp=="VESPERTINO"){
	   $hentrada="14:00:00";
	   $tolerancia1="14:15:59";
	   $tolerancia2="14:20:59";
	   $tolerancia3="14:30:59";
	 }
	 if($turnoemp=="NOCTURNO"){
	   $hentrada="17:00:00";
	   $tolerancia1="17:15:59";
	   $tolerancia2="17:20:59";
	   $tolerancia3="17:30:59";
	 }
if($horaform <=$tolerancia1){
	 $tsa="ASISTENCIA";
	 }
	 
	 if($horaform>$tolerancia1 && $horaActual <=$tolerancia2){
	  $tsa="RETARDO";
	 }
	 if($horaform>$tolerancia2 && $horaActual <=$tolerancia3){
	  $tsa="RETARDO 2";
	 }
	 if($horaform>$tolerancia3){
	  $tsa="FALTA";
	 }
	 
if($sel==1){
?>
<script>$("#destino").show("slow");</script>
<table class="tabla" border="1">
	<tbody>
	    <input id="id" type="hidden" value="<? echo $id ?>">
		<input id="ide" type="hidden" value="<? echo$idempleado ?>">
		<tr>										
			<td class="concepto">Fecha</td><td>
			  <div id='modf' class='modf'>
			     <input type="text" id="fecha" name="fechaasis" value="<? echo $fecha ?>" class="inp">
			  </div>
			</td>
			<td rowspan="3" align="center"><input type="button" onclick="javascript:registra();" value="Modificar" style="width:65px;height:65px;"></td>
		</tr>
		<tr>										
			<td class="concepto">Hora</td><td><input type="text" id="hora" value="<? echo $hora ?>" class="inp" onkeyup="mascara(this,':',patron,true)" maxlength="8"></td>
		</tr>
		<tr>										
			<td class="concepto">Observacion</td><td><input type="text" id="obs" class="inp"></td>
			
		</tr>
	</tbody>				
</table>
<? } 
    if($sel==2){
	  if($idasis=="" || $idasis==0){
	      $sql="INSERT into asistencias(id_empleado,nombre,a_pat,a_mat,usuario,fecha,h_entrada,tipoasistencia) values('$idemp','$reg->nombre','$reg->a_pat','$reg->a_mat','$reg->usuario','$fechaform','$horaform','$tsa')";
		  mysql_query($sql);
		   echo "<script>
		          $(document).ready(function(){
                 setTimeout(function(){ $('.mensajes').fadeOut(800).fadeIn(800).fadeOut(500).fadeIn(500).fadeOut(300);}, 1000); 
});
		          $('#destino').fadeOut();
				 </script>";
				 echo "<div class='exito mensajes'>Registro correcto</div>";
	    }else{
		   $sql="UPDATE asistencias SET fecha='$fechaform',h_entrada='$horaform', tipoasistencia='$tsa' WHERE id_asistencia='$idasis'";
		   mysql_query($sql);
		  ?>
		   <script>
		         $(document).ready(function(){
                 setTimeout(function(){ $(".mensajes").fadeOut(800).fadeIn(800).fadeOut(500).fadeIn(500).fadeOut(300);}, 1000); 
});
		          $("#destino").fadeOut();
		    </script>
				 <div class="exito mensajes">Registro correcto</div>
		  <?
		}
	 
	}
?>     